commit:     14d7035516a3d8ca34282c7ac2698584683ed5f6
Author:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
AuthorDate: Sun Feb 25 07:28:04 2018 +0000
Commit:     Patrick Lauer <patrick <AT> gentoo <DOT> org>
CommitDate: Sun Feb 25 07:28:21 2018 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=14d70355

dev-python/wtf-peewee: Bump

Package-Manager: Portage-2.3.24, Repoman-2.3.6

 dev-python/wtf-peewee/Manifest                |  1 +
 dev-python/wtf-peewee/wtf-peewee-3.0.0.ebuild | 29 +++++++++++++++++++++++++++
 2 files changed, 30 insertions(+)

diff --git a/dev-python/wtf-peewee/Manifest b/dev-python/wtf-peewee/Manifest
index 98ac177e533..ab3358d16ed 100644
--- a/dev-python/wtf-peewee/Manifest
+++ b/dev-python/wtf-peewee/Manifest
@@ -1 +1,2 @@
 DIST wtf-peewee-0.2.6.tar.gz 61072 BLAKE2B 
92069d6df08301e48ab38da1fadd0b63f16dc1cda441bc10afbb423f0c08d040817a3b24e9faf2931f38493a5b48e941cc869f64f8f566679f107c7f51c79861
 SHA512 
073973e1dbec17fb3b036447e5150d5de36aeb47c697878e4e97abec4de53a77275278000f4dc982bc1aa1a76736f5a15053d583ab04316c568085973025f833
+DIST wtf-peewee-3.0.0.tar.gz 61500 BLAKE2B 
6e80bed253b86d2be6dd26342ae3bb3845354c3736bc5869338a2aec30fe24f2b83bfaa678188eaeb05d128cd9519fe0b99dfad2883efa7b7c5654abbd3524f7
 SHA512 
248bb39fb6b23006f87860982a249df2c7501f1cb2a9d86ef79d909fb41a0b79f61fcd19a504498587480812c7c2feb74e2a97f2c5c2548845413866ca60e053

diff --git a/dev-python/wtf-peewee/wtf-peewee-3.0.0.ebuild 
b/dev-python/wtf-peewee/wtf-peewee-3.0.0.ebuild
new file mode 100644
index 00000000000..82141bdfac3
--- /dev/null
+++ b/dev-python/wtf-peewee/wtf-peewee-3.0.0.ebuild
@@ -0,0 +1,29 @@
+# Copyright 1999-2018 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=6
+PYTHON_COMPAT=( python2_7 python3_{4,5} )
+
+inherit distutils-r1
+
+DESCRIPTION="WTForms integration for peewee models"
+HOMEPAGE="https://github.com/coleifer/wtf-peewee/";
+SRC_URI="https://github.com/coleifer/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="examples test"
+
+RDEPEND=">=dev-python/peewee-3[${PYTHON_USEDEP}]
+       dev-python/wtforms[${PYTHON_USEDEP}]"
+DEPEND="${RDEPEND}
+       dev-python/setuptools[${PYTHON_USEDEP}]"
+
+python_test() {
+       "${PYTHON}" ./runtests.py || die "Testing failed with ${EPYTHON}"
+}
+
+python_install_all() {
+       use examples && dodoc -r example
+       distutils-r1_python_install_all
+}

Reply via email to